Bug 1265123 - [QE](6.1.z) BRMS Repository is not enabled by default
[QE](6.1.z) BRMS Repository is not enabled by default
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: CR2
: ---
Assigned To: Ryan Zhang
Karel Suta
:
Depends On:
Blocks: 1259378 1259382
  Show dependency treegraph
 
Reported: 2015-09-22 03:55 EDT by Tomas David
Modified: 2015-10-14 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2015-09-22 03:55:42 EDT
Description of problem:
Quickstarts poms do not contain these lines:

<!-- Enable BRMS Repository -->
<repositories>
  <repository>
    <id>brms-m2-repo</id>
    <name>BRMS M2 Repo</name>
    <url>http://localhost:8080/business-central/maven2/</url>
  </repository>
</repositories>

It causes test failure because artifacts cannot be found.

These poms are affected:
tasks-bpmsuite/pom.xml
store-brms/pom.xml
helloworld-brms/pom.xml
helloworld-bpmsuite/pom.xml
decision-table/pom.xml


Version-Release number of selected component (if applicable):
6.1.3.CR2

How reproducible:
-

Steps to Reproduce:
-

Actual results:
-

Expected results:
-

Additional info:
-
Comment 1 Tomas David 2015-09-22 04:04:39 EDT
I also created same issue for 6.2.0.ER2 https://bugzilla.redhat.com/show_bug.cgi?id=1265128
Comment 3 Petr Široký 2015-09-24 10:55:07 EDT
Upstream sources do have this repository definition in the POMs, so I am suspecting it gets accidentally removed during prod. process. See for example https://github.com/jboss-developer/jboss-brms-quickstarts/blob/6.1.x/tasks-bpmsuite/pom.xml#L131.
Comment 5 Ryan Zhang 2015-10-13 05:53:31 EDT
This is indeed a new issue with our tooling. 
However I also find out that for 6.1.0.GA, there is no such issue. ie 6.1.0.GA quickstarts contains the correct the repository settings and we only deliver patch for 6.1.3 which does not contain the quickstarts. So the 6.1.z shouldn't be impacted.
So we would fix the issue on 6.2.x (ie https://bugzilla.redhat.com/show_bug.cgi?id=1265128) 
But this issue on 6.1.z can be close in my opition.
Comment 6 Karel Suta 2015-10-14 03:11:37 EDT
Verified in 6.1.4.
Customers are using quickstarts from 6.1.0, they don't get these problematic ones.

Note You need to log in before you can comment on or make changes to this bug.